#ifndef __BOARD_H__
#define __BOARD_H__

/* MCU INCLUDE */
#include <stm32f10x.h>

/* PERIPH INCLUDE */
#include "Gpio.h"
#include "Usart.h"
#include "Interrupt.h"
#include "Flash.h"


/* VERSION INFO */
#define HARDWARE_VERSION "v1.0.0"
#define SOFTWARE_VERSION "v1.0.0"

/* RTOS */
#define USE_RTOS
#ifdef USE_RTOS
    #undef USE_FREERTOS
    #undef USE_UCOS
    #define USE_THREADX
#endif

#endif
