#include "LedTest.h"

/* OS */
#define TASK_STACK_SIZE     128                  //ջС

/* OS */
TX_THREAD LedCtlTaskTCB;                        //LED
static uint8_t TaskStack[TASK_STACK_SIZE];      //ջռ

void LedCtlTask(ULONG thread_input);

/**
 * @brief  LEDʼ
 * @param  Levelȼ Preemptionռֵ
 * @retval void
 * @note   void
 * @example void
 */
void LedCtlTaskInit(uint8_t Level,uint8_t Preemption)
{
    tx_thread_create(&LedCtlTaskTCB,                /*  */  
                "LedCtlTask",                       /*  */
                LedCtlTask,                         /* ں */
                0,                                  /*  */
                TaskStack,                          /* ջʼַ */
                TASK_STACK_SIZE,                    /* ջС */
                Level,                              /* ȼ */ 
                Preemption,                         /* ռֵ */
                TX_NO_TIME_SLICE,                   /* ʹʱƬת */
                TX_AUTO_START);                     /* Զ߳ */
}
/**
 * @brief  LED
 * @param  ThreadXInput 
 * @retval void
 * @note   void
 * @example void
 */
void LedCtlTask(ULONG ThreadXInput)
{
    (void)ThreadXInput;
    
    while (true)
    {
        LedToggle(LED0);
        LedToggle(LED1);
        tx_thread_sleep(100);
    }
}

